# Passenger::EventedMessageServer Class Reference

Note when overriding onNewClient: call the parent method first! It does some initialization but might disconnect the client if that initialization fails. More...

`#include <EventedMessageServer.h>`

Inheritance diagram for Passenger::EventedMessageServer:
[legend]

List of all members.

## Detailed Description

Note when overriding onNewClient: call the parent method first! It does some initialization but might disconnect the client if that initialization fails.

The override should check for this.

The documentation for this class was generated from the following file:

- EventedMessageServer.h